Summary:        Different tools (for distros based on MagicOS)
Name:           magicos-tools
Version:        0.0.1
Release:        %mkrel 4
License:        GPLv3+
URL:            https://code.google.com/p/magicos-soft
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       magicos-scripts
Requires:       beesu
Requires:       xterm
Requires:       rpmdrake

%description
Different tools (for distros based on MagicOS).

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}/usr/lib/magicos/scripts
cp -f ./cfgmnger %{buildroot}/usr/lib/magicos/scripts/
cp -f ./conv4mod %{buildroot}/usr/lib/magicos/scripts/
cp -f ./rpmdrake2lzm %{buildroot}/usr/lib/magicos/scripts/
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f ./cfgmnger.png %{buildroot}%{_datadir}/pixmaps/
cp -f ./conv4mod.png %{buildroot}%{_datadir}/pixmaps/
cp -f ./rpmdrake2lzm.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_bindir}
ln -s /usr/lib/magicos/scripts/cfgmnger %{buildroot}%{_bindir}/cfgmnger
ln -s /usr/lib/magicos/scripts/conv4mod %{buildroot}%{_bindir}/conv4mod
ln -s /usr/lib/magicos/scripts/rpmdrake2lzm %{buildroot}%{_bindir}/rpmdrake2lzm
#install -dm 755 %{buildroot}%{_datadir}/applications
#install -m 0644 *.desktop %{buildroot}%{_datadir}/applications/

%files
%doc AUTHORS
%{_bindir}/*
/usr/lib/magicos/scripts/*
%{_datadir}/pixmaps/*.png
#%{_datadir}/applications/*.desktop


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-4.mga8
+ Revision: 1491286
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1263017
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.0.1-2.mga6
+ Revision: 951887
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 alexl <alexl> 0.0.1-1.mga5
+ Revision: 809424
- imported package magicos-tools

